Erlo

Centos7.6下安装docker环境

时间:2020-03-17 12:30   阅读:25次   来源:博客园
页面报错
点赞

 

1、首先查看服务器系统内核,docker环境要求的内核必须在3.10或以上

执行:uname -r 

版本为3.10,可安装docker

 

2、切到root用户下,更新yum源,使yum源为最新状态

执行:yum update

 

3、安装docker依赖的软件包,yum-util 提供yum-config-manager功能,另外两个是devicemapper驱动依赖的

执行:yum install -y yum-utils device-mapper-persistent-data lvm2

 

4、设置docker的yum源

执行:yum-config-manager --add-repo https://download.docker.com/linux/centos/docker-ce.repo

#其中解释一下yum-config-manager --add-repo的意思为添加yum仓库,docker-ce.repo会直接被添加到/etc/yum.repo.d/下

 

我在执行后有个报错:Could not fetch/save url https://download.docker.com/linux/centos/docker-ce.repo to file /etc/yum.repos.d/docker-ce.repo: [Errno 14] curl#60 - "Peer's Certificate has expired."

其原因时服务器时间与当前的不匹配,更改一下服务器时间即可

ntpdate cn.pool.ntp.org   #同步时间

hwclock -w #同步到硬件时间

 

再次执行添加yum库命令,执行完成

 

5、查看docker的全部版本,并排序

 yum list docker-ce --showduplicates | sort -r

 

6、安装最新版本的docker

yum -y install docker-ce

 

7、安装完毕后,查看docker版本

docker version

 

正常情况下,应该出现docker-Client的版本与docker-Server的版本,这个现象是docker服务没启动,启动一下docker服务,再重新查看版本

systemctl start docker.service

至此安装完成!

评论留言

还没有评论留言,赶紧来抢楼吧~~

吐槽小黑屋()

* 这里是“吐槽小黑屋”,所有人可看,只保留当天信息。

  • Erlo.vip2020-04-04 11:04:08Hello、欢迎使用吐槽小黑屋,这就是个吐槽的地方。
  • 返回顶部